import httpRequest from "@/services/common";
import { projectUrlConfig } from '@/services/config';

//项目列表分页查询
export const getProjectList = async (param:any) => {
    return await httpRequest.list(projectUrlConfig['projectList'],param)
}

//添加项目
export const addProject = async (param:any) => {
    return await httpRequest.post(projectUrlConfig['addProject'],param)
}

//删除项目
export const deleteProject = async (param:any) => {
    return await httpRequest.post(projectUrlConfig['deleteProject'],param)
}

//编辑项目
export const editProject = async (param:any) => {
    return await httpRequest.put(projectUrlConfig['editProject'],param)
}